// Persistence of Vision Ray Tracer Scene Description File
// File: charset.pov
// Vers: 3.1
// Desc: Sample for charset rendering of text
// Date: 02/02/99
// Auth: Jon A. Cruz <joncruz@geocities.com>
//

#version 3.1;

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 1.0, -10.0>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 1.0,  0.0>
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-10, 10, -30>
}

// ----------------------------------------
#declare text_depth = .06125;
#declare wall_depth = .126;
#declare vert_space = .75;
#declare left_shift = 4.3;
#declare text_scale = <.5,.5,1>;

#declare text_line0 = ""
#declare text_line1 = ""
#declare text_line2 = "."
#declare text_line3 = "."
#declare text_line4 = "."
#declare text_line5 = "."
#declare text_line6 = "."
#declare text_line7 = "."

#declare _col = 0;
#while ( _col < 32 )
  #declare text_line0 = concat( text_line0, chr(_col + 0) )
  #declare text_line1 = concat( text_line1, chr(_col + 32) )
  #declare text_line2 = concat( text_line2, chr(_col + 64) )
  #declare text_line3 = concat( text_line3, chr(_col + 96) )
  #declare text_line4 = concat( text_line4, chr(_col + 128) )
  #declare text_line5 = concat( text_line5, chr(_col + 160) )
  #declare text_line6 = concat( text_line6, chr(_col + 192) )
  #declare text_line7 = concat( text_line7, chr(_col + 224) )
  #declare _col = _col + 1;
#end

#declare Text_Tex = texture
{
  pigment { color rgb <1,1,1> }
  finish { specular 0.7 }
}


global_settings {
  string_encoding "UTF8" // default
//  string_encoding "ISO8859_1"
//  string_encoding "Cp1252"
//  string_encoding "MacRoman"
}


//#declare font_name = "crystal"
//#declare font_name = "timrom.ttf"
//#declare font_name = "cyrvetic.ttf"

#declare font_name = "Cyberbit"
//#declare font_name = "MSGothic"


#declare text_lines = union {
  text {
    ttf font_name, text_line0,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * 5,-text_depth>
  }
  text {
    ttf font_name, text_line1,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * 4,-text_depth>
  }
  text {
    ttf font_name, text_line2,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * 3,-text_depth>
  }
  text {
    ttf font_name, text_line3,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * 2,-text_depth>
  }
  text {
    ttf font_name, text_line4,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * 1,-text_depth>
  }
  text {
    ttf font_name, text_line5,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * 0,-text_depth>
  }
  text {
    ttf font_name, text_line6,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * -1,-text_depth>
  }
  text {
    ttf font_name, text_line7,
    text_depth * 2, 0
    scale text_scale
    translate <-left_shift,vert_space * -2,-text_depth>
  }
}


object {
  text_lines
  texture {Text_Tex}
}
